SHUTDOWN(8)

NAZWA
shutdown - Halt, power off or reboot the machine

SKŁADNIA

shutdown [OPCJE...] [CZAS] [KOMUNIKAT-WALL...]

OPIS

shutdown may be used to halt, power off, or reboot the machine.

Pierwszym argumentem jest łańcuch oznaczający czas (zwykle now). Opcjonalnie, można po nim podać komunikat wall, który przed wyłączeniem zostanie wysłany do wszystkich zalogowanych użytkowników.

Łańcuch oznaczający CZAS może przyjąć postać gg:mm - wyłączenie nastąpi wówczas o podanym czasie, przy czym godzinę należy podać w formacie 24 godzinnym. Alternatywą jest składnia +m - polecenie zostanie wykonane po upływie podanej liczby minut. Słowo now jest aliasem +0, tzn. natychmiastowego wyłączenia. Jeśli nie poda się argumentu czasu, przyjmowane jest +1.

Proszę zauważyć, że aby móc podać KOMUNIKAT-WALL, konieczne jest podanie również argumentu oznaczającego czas.

Jeśli użyje się argumentu czasu, 5 minut przed wyłączeniem tworzony jest plik /run/nologin, aby uniemożliwić nowe zalogowania się.

OPCJE

Obsługiwane są następujące opcje:

--help
    Wyświetla krótki komunikat pomocy i wychodzi.

-H, --halt
    Zatrzymuje komputer.

-P, --poweroff
    Power the machine off (the default).

-r, --reboot
    Przeładowuje komputer.

-h
    The same as --poweroff, but does not override the action to take if it is "halt". E.g. shutdown --reboot -h means "poweroff", but shutdown --halt -h means "halt".

-k
    Do not halt, power off, or reboot, but just write the wall message.

--no-wall
    Do not send wall message before halt, power off, or reboot.

-c
    Anuluje trwający proces wyłączania. Opcji można użyć, aby anulować wywołanie shutdown z argumentem CZASU innym niż +0 lub now.

--show
    Pokazuje informacje o oczekującym wyłączeniu (jeśli takie istnieje), wraz z pozostałym czasem.

    Added in version 250.

KOD ZAKOŃCZENIA

W przypadku powodzenia zwracane jest 0, w razie błędu kod jest niezerowy.

ZGODNOŚĆ

The
 shutdown command in previous init systems (including sysvinit) defaulted to single-user mode instead of powering off the machine. To change into single-user mode, use systemctl rescue instead.

ZOBACZ TAKŻE

systemd(1), systemctl(1), halt(8), wall(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.